package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeDeleteactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaWdkMarketingFullrangeDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingFullrangeDeleteactivityRequest) SetParam(v domain.AlibabaWdkMarketingFullrangeDeleteactivityCommonActivityParam) *AlibabaWdkMarketingFullrangeDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
